package net.minecraft.world.entity.ai.behavior;

import net.minecraft.world.entity.LivingEntity;
import net.minecraft.world.entity.raid.Raid;
import net.minecraft.world.entity.PathfinderMob;
import net.minecraft.server.level.ServerLevel;

public class VictoryStroll extends VillageBoundRandomStroll {
    public VictoryStroll(final float float1) {
        super(float1);
    }
    
    @Override
    protected boolean checkExtraStartConditions(final ServerLevel zd, final PathfinderMob apg) {
        final Raid bfh4 = zd.getRaidAt(apg.blockPosition());
        return bfh4 != null && bfh4.isVictory() && super.checkExtraStartConditions(zd, apg);
    }
}
